/*--motor1.h--*/

/*	CxgtOrbgp^[` (EV_MOTOR1)		*/
#define	event_MOTOR1DRV 			(0x00000001)	/*	MOTOR1쓮					*/
#define	event_MOTOR1DRV_PRESTART	(0x00000010)	/*	MOTOR1(O쓮Jnp)	*/

/*x`*/
#define MOTOR1_SPEEDLOW (10)	/* cm/s */
#define MOTOR1_SPEEDMID (50)	/* cm/s */
#define MOTOR1_SPEEDHIGH (100)	/* cm/s */

/*Cxg*/
#define MOTOR1_NO_EVENT (0)
#define MOTOR1_PRESTART	(1)

/*p[^*/
#define GAIN1_P (1)
#define GAIN1_I (1)
#define GAIN1_D (1)

#define PID1_MAX (1000)
#define PID1_MIN (-1000)

/*eR[h*/
typedef enum motor1_func_code_tag {
	MOTOR1_INIT = 0,			/** gp				*/
	MOTOR1_DRV,					/** v			*/
	MOTOR1_DRV_EVENT,			/** Cxgv	*/
	MOTOR1_STOP,

	MOTOR1_NO_RETURN_CODE		/** v			*/
} MOTOR1_FUNC_CODE;



/** svbZ[W\	*/
typedef struct motor1_rqst_msg_st_tag {
	T_MSG 		ComArea;				/** ʃGA		*/
	ID	  		src_mb;					/** M惁[{bNX*/
	long_t 		func_code;
	long_t 		Speed;					/** ڕWx		*/
	long_t 		Length;					/** ړ		*/
	ulong_t 	EventNo;				/** ΉCxg	*/
	bool_t		result;					/** M(TRUE: / FALSE:s)*/
} MOTOR1_RQST_MSG_ST;

/*֐wb_*/
void Motor1_DRV(long_t Speed, long_t Length);
void Motor1_DRVEvent(long_t Speed, long_t Length);
void Motor1_Stop(void);
void Motor1_Wait_DRVStop(void);
void Motor1_Wait_EventStop(void);
void Motor1_Init(void);
void Int_Motor1(void);