/*
 *  TOPPERS/ASP Kernel
 *      Toyohashi Open Platform for Embedded Real-Time Systems/
 *      Advanced Standard Profile Kernel
 * 
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2010 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 * 
 *  嵭Ԥϡʲ(1)(4)ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣ
 *  ѡۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ѤǤǺۤˤϡۤȼɥȡ
 *      ԥޥ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ
 *      ̵ݾڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ѤǤʤǺۤˤϡΤ줫ξ
 *      ȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 *      ޤܥեȥΥ桼ޤϥɥ桼Τʤ
 *      ͳ˴Ťᤫ⡤嵭ԤTOPPERSץȤ
 *      դ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪ
 *  ФŬޤơʤݾڤԤʤޤܥեȥ
 *  ѤˤľŪޤϴŪʤ»˴ؤƤ⡤
 *  Ǥʤ
 * 
 *  @(#) $Id: sample1.c 1797 2010-06-07 04:24:19Z ertl-hiro $
 */

/* 
 *  ץץ(1)
 *
 *  ASPͥδŪưǧ뤿Υץץࡥ
 *
 *  ץγ:
 *
 *  桼󥿥եĥᥤ󥿥ʥID: MAIN_TASKͥ
 *  : MAIN_PRIORITYˤȡ3Ĥ¹Ԥ륿ʥID:
 *  TASK1TASK3ͥ: MID_PRIORITYˤǹ롥ޤư
 *  2äμϥɥʼϥɥID: CYCHDR1ˤѤ롥
 *
 *  ¹Ԥ륿ϡtask_loop롼פ¹Ԥ٤ˡ
 *  ¹Ǥ뤳Ȥ򤢤魯åɽ롥
 *
 *  ϥɥϡĤͥ١HIGH_PRIORITYMID_PRIORITY
 *  LOW_PRIORITYˤΥǥ塼ž롥ץεưľϡ
 *  ϥɥ߾֤ˤʤäƤ롥
 *
 *  ᥤ󥿥ϡꥢI/OݡȤʸϤԤʸϤ
 *  ԤäƤ֤ϡ¹Ԥ륿¹ԤƤˡϤ줿
 *  ʸб¹Ԥ롥Ϥ줿ʸȽδطϼ̤ꡥ
 *  Control-Cޤ'Q'Ϥȡץλ롥
 *
 *  '1' : оݥTASK1ڤ괹ʽˡ
 *  '2' : оݥTASK2ڤ괹롥
 *  '3' : оݥTASK3ڤ괹롥
 *  'a' : оݥact_tskˤ굯ư롥
 *  'A' : оݥФ뵯ư׵can_actˤꥭ󥻥뤹롥
 *  'e' : оݥext_tskƤӽФλ롥
 *  't' : оݥter_tskˤ궯λ롥
 *  '>' : оݥͥ٤HIGH_PRIORITYˤ롥
 *  '=' : оݥͥ٤MID_PRIORITYˤ롥
 *  '<' : оݥͥ٤LOW_PRIORITYˤ롥
 *  'G' : оݥͥ٤get_priɤ߽Ф
 *  's' : оݥslp_tskƤӽФԤˤ롥
 *  'S' : оݥtslp_tsk(10)ƤӽФԤˤ롥
 *  'w' : оݥwup_tskˤ굯롥
 *  'W' : оݥФ뵯׵can_wupˤꥭ󥻥뤹롥
 *  'l' : оݥrel_waiˤ궯ŪԤˤ롥
 *  'u' : оݥsus_tskˤ궯Ԥ֤ˤ롥
 *  'm' : оݥζԤ֤rsm_tskˤ롥
 *  'd' : оݥdly_tsk(10)ƤӽФַвԤˤ롥
 *  'x' : оݥ㳰ѥ0x0001㳰׵᤹롥
 *  'X' : оݥ㳰ѥ0x0002㳰׵᤹롥
 *  'y' : оݥdis_texƤӽФ㳰ػߤ롥
 *  'Y' : оݥena_texƤӽФ㳰Ĥ롥
 *  'r' : 3Ĥͥ١HIGH_PRIORITYMID_PRIORITYLOW_PRIORITYˤΥ
 *        ǥ塼ž롥
 *  'c' : ϥɥưϤ롥
 *  'C' : ϥɥưߤ롥
 *  'b' : 顼ϥɥ5ø˵ư褦ưϤ롥
 *  'B' : 顼ϥɥưߤ롥
 *  'z' : оݥCPU㳰ȯʥλˡ
 *  'Z' : оݥCPUå֤CPU㳰ȯʥץ
 *        λˡ
 *  'V' : get_utmǽɾѥƥ2ɤࡥ
 *  'v' : ȯԤƥॳɽʥǥեȡˡ
 *  'q' : ȯԤƥॳɽʤ
 */

#include <kernel.h>
#include <t_syslog.h>
#include <t_stdlib.h>
#include "syssvc/serial.h"
#include "syssvc/syslog.h"
#include "kernel_cfg.h"
#include "sample1.h"
#include "motor1.h"
#include "motor2.h"

#include "at91skyeye.h"
/*
 *  ӥΥ顼Υ
 */
Inline void
svc_perror(const char *file, int_t line, const char *expr, ER ercd)
{
	if (ercd < 0) {
		t_perror(LOG_ERROR, file, line, expr, ercd);
	}
}

#define	SVC_PERROR(expr)	svc_perror(__FILE__, __LINE__, #expr, (expr))

/*
 *  ¹Լ¹Ԥ륿ؤΥåΰ
 */
char_t	message[3];

/*
 *  롼ײ
 */
ulong_t	task_loop;		/* ǤΥ롼ײ */
ulong_t	tex_loop;		/* 㳰롼ǤΥ롼ײ */

/*
 *  ¹Լ¹Ԥ륿
 */
void task(intptr_t exinf)
{
	volatile ulong_t	i;
	int_t		n = 0;
	int_t		tskno = (int_t) exinf;
	const char	*graph[] = { "|", "  +", "    *" };
	char_t		c;

	int* pInt;
	int* pSts;
	int* pImr;
	int* pData = (int *)0x80001000;
//	int* pMutex;
//	int* pMutexCnt;

	pInt = (int*)(AIC_IECR);
	pSts = (int*)(AIC_IPR);
	pImr = (int*)(AIC_IMR);
//	pMutex = (int*)(MUTEX_ID_REG);
//	pMutexCnt = (int*)(MUTEX_CNT_REG);
	
	SVC_PERROR(ena_tex());
	while (1) {
		syslog(LOG_NOTICE, "task%d is running (%03d).   %s",
										tskno, ++n, graph[tskno-1]);

		syslog(LOG_NOTICE, "pInt = %d",*pInt);
		syslog(LOG_NOTICE, "pSts = %d",*pSts);
		syslog(LOG_NOTICE, "pImr = %d",*pImr);
		syslog(LOG_NOTICE, "Data = %d",*pData);
		syslog(LOG_NOTICE, "Speed = %d",*(pData + 2));
		syslog(LOG_NOTICE, "Pos = %d",*(pData + 3));
//		syslog(LOG_NOTICE, "Mutex = %d",*pMutex);
//		syslog(LOG_NOTICE, "MutexCnt = %d",*pMutexCnt);

		for (i = 0; i < task_loop; i++);
		c = message[tskno-1];
		message[tskno-1] = 0;
		switch (c) {
		case 'e':
			syslog(LOG_INFO, "#%d#ext_tsk()", tskno);
			SVC_PERROR(ext_tsk());
			assert(0);
		case 's':
			syslog(LOG_INFO, "#%d#slp_tsk()", tskno);
			SVC_PERROR(slp_tsk());
			break;
		case 'S':
			syslog(LOG_INFO, "#%d#tslp_tsk(10000)", tskno);
			SVC_PERROR(tslp_tsk(10000));
			break;
		case 'd':
			syslog(LOG_INFO, "#%d#dly_tsk(10000)", tskno);
			SVC_PERROR(dly_tsk(10000));
			break;
		case 'y':
			syslog(LOG_INFO, "#%d#dis_tex()", tskno);
			SVC_PERROR(dis_tex());
			break;
		case 'Y':
			syslog(LOG_INFO, "#%d#ena_tex()", tskno);
			SVC_PERROR(ena_tex());
			break;
#ifdef CPUEXC1
		case 'z':
			syslog(LOG_NOTICE, "#%d#raise CPU exception", tskno);
			RAISE_CPU_EXCEPTION;
			break;
		case 'Z':
			SVC_PERROR(loc_cpu());
			syslog(LOG_NOTICE, "#%d#raise CPU exception", tskno);
			RAISE_CPU_EXCEPTION;
			SVC_PERROR(unl_cpu());
			break;
#endif /* CPUEXC1 */
		default:
			break;
		}
	}
}

/*
 *  ¹ԤƼ¹Ԥ륿ѤΥ㳰롼
 */
void tex_routine(TEXPTN texptn, intptr_t exinf)
{
	volatile ulong_t	i;
	int_t	tskno = (int_t) exinf;

	syslog(LOG_NOTICE, "task%d receives exception 0x%04x.", tskno, texptn);
	for (i = 0; i < tex_loop; i++);

	if ((texptn & 0x8000U) != 0U) {
		syslog(LOG_INFO, "#%d#ext_tsk()", tskno);
		SVC_PERROR(ext_tsk());
		assert(0);
	}
}

/*
 *  CPU㳰ϥɥ
 */
#ifdef CPUEXC1

void
cpuexc_handler(void *p_excinf)
{
	ID		tskid;

	syslog(LOG_NOTICE, "CPU exception handler (p_excinf = %08p).", p_excinf);
	if (sns_ctx() != true) {
		syslog(LOG_WARNING,
					"sns_ctx() is not true in CPU exception handler.");
	}
	if (sns_dpn() != true) {
		syslog(LOG_WARNING,
					"sns_dpn() is not true in CPU exception handler.");
	}
	syslog(LOG_INFO, "sns_loc = %d sns_dsp = %d sns_tex = %d",
									sns_loc(), sns_dsp(), sns_tex());
	syslog(LOG_INFO, "xsns_dpn = %d xsns_xpn = %d",
									xsns_dpn(p_excinf), xsns_xpn(p_excinf));

	if (xsns_xpn(p_excinf)) {
		syslog(LOG_NOTICE, "Sample program ends with exception.");
		SVC_PERROR(ext_ker());
		assert(0);
	}

	SVC_PERROR(iget_tid(&tskid));
	SVC_PERROR(iras_tex(tskid, 0x8000U));
}

#endif /* CPUEXC1 */

/*
 *  ϥɥ
 *
 *  HIGH_PRIORITYMID_PRIORITYLOW_PRIORITY γͥ٤Υǥ塼
 *  ž롥
 */
void cyclic_handler(intptr_t exinf)
{
	SVC_PERROR(irot_rdq(HIGH_PRIORITY));
	SVC_PERROR(irot_rdq(MID_PRIORITY));
	SVC_PERROR(irot_rdq(LOW_PRIORITY));
}

/*
 *  顼ϥɥ
 *
 *  HIGH_PRIORITYMID_PRIORITYLOW_PRIORITY γͥ٤Υǥ塼
 *  ž롥
 */
void alarm_handler(intptr_t exinf)
{
	SVC_PERROR(irot_rdq(HIGH_PRIORITY));
	SVC_PERROR(irot_rdq(MID_PRIORITY));
	SVC_PERROR(irot_rdq(LOW_PRIORITY));
}

/*
 *  ᥤ󥿥
 */
void main_task(intptr_t exinf)
{
	char_t	c;
	ER_UINT	ercd;
		
#ifndef TASK_LOOP
	volatile ulong_t	i;
	SYSTIM	stime1, stime2;
#endif /* TASK_LOOP */
#ifdef TOPPERS_SUPPORT_GET_UTM
#endif /* TOPPERS_SUPPORT_GET_UTM */

	SVC_PERROR(syslog_msk_log(LOG_UPTO(LOG_INFO), LOG_UPTO(LOG_EMERG)));
	syslog(LOG_NOTICE, "Sample program starts (exinf = %d).", (int_t) exinf);

	/*
	 *  ꥢݡȤν
	 *
	 *  ƥƱꥢݡȤȤʤɡꥢ
	 *  ݡȤץѤߤξˤϤE_OBJ顼ˤʤ뤬پ
	 *  ʤ
	 */
	ercd = serial_opn_por(TASK_PORTID);
	if (ercd < 0 && MERCD(ercd) != E_OBJ) {
		syslog(LOG_ERROR, "%s (%d) reported by `serial_opn_por'.",
									itron_strerror(ercd), SERCD(ercd));
	}
	SVC_PERROR(serial_ctl_por(TASK_PORTID,
							(IOCTL_CRLF | IOCTL_FCSND | IOCTL_FCRCV)));

	/*
 	 *  롼ײ
	 *
	 *  TASK_LOOPޥƤ硤¬ꤻˡTASK_LOOP
	 *  줿ͤ򡤥ǤΥ롼ײȤ롥
	 *
	 *  MEASURE_TWICEޥƤ硤1ܤ¬̤Τ
	 *  ơ2ܤ¬̤Ȥ1ܤ¬Ĺλ֤Ф뤿ᡥ
	 */
#ifdef TASK_LOOP
	task_loop = TASK_LOOP;
#else /* TASK_LOOP */

#ifdef MEASURE_TWICE
	task_loop = LOOP_REF;
	SVC_PERROR(get_tim(&stime1));
	for (i = 0; i < task_loop; i++);
	SVC_PERROR(get_tim(&stime2));
#endif /* MEASURE_TWICE */

	task_loop = LOOP_REF;
	SVC_PERROR(get_tim(&stime1));
	for (i = 0; i < task_loop; i++);
	SVC_PERROR(get_tim(&stime2));
	task_loop = LOOP_REF * 400UL / (stime2 - stime1);

#endif /* TASK_LOOP */
	tex_loop = task_loop / 5;

	/*
 	 *  εư
	 */
	SVC_PERROR(act_tsk(MOTOR1));
	SVC_PERROR(act_tsk(MOTOR2));

	/*
 	 *  ᥤ롼
	 */
	do {
		SVC_PERROR(serial_rea_dat(TASK_PORTID, &c, 1));
		switch (c) {
		case 'a':
			Motor1_Wait_DRVStop();
			syslog(LOG_INFO, "Motor1_DRV_Request");
			Motor1_DRV(MOTOR1_SPEEDHIGH, 120);
			Motor1_Wait_DRVStop();
			syslog(LOG_INFO, "Motor1_DRV_Finish");
			break;
		case 'b':
			Motor1_Wait_DRVStop();
			syslog(LOG_INFO, "Motor1_DRV_Request_NoWait");
			Motor1_DRV(MOTOR1_SPEEDHIGH, 120);
			//Motor1_Wait_DRVStop();
			syslog(LOG_INFO, "Motor1_DRV_NoWait");
			break;
		case'c':
			/* MOTOR2¦θ®ϤԤ */
			Motor2_Wait_EventStop();
			Motor1_Wait_DRVStop();
//			syslog(LOG_INFO, "Motor1_DRVEvent_Request");
			Motor1_DRVEvent(MOTOR1_SPEEDHIGH, 120);
//			syslog(LOG_INFO, "Motor1_DRV_NoWait");
			break;
		case 'd':
			Motor2_Wait_DRVStop();
			syslog(LOG_INFO, "Motor2_DRV_Request");
			Motor2_DRV(MOTOR2_SPEEDHIGH, 120);
			Motor2_Wait_DRVStop();
			syslog(LOG_INFO, "Motor2_DRV_Finish");
			break;
		case 'e':
			Motor2_Wait_DRVStop();
			syslog(LOG_INFO, "Motor2_DRV_Request_NoWait");
			Motor2_DRV(MOTOR2_SPEEDHIGH, 120);
			syslog(LOG_INFO, "Motor2_DRV_NoWait");
			break;
		case'f':
			/* MOTOR1¦θ®ϤԤ */
			Motor1_Wait_EventStop();
			Motor2_Wait_DRVStop();
//			syslog(LOG_INFO, "Motor2_DRVEvent_Request");
			Motor2_DRVEvent(MOTOR2_SPEEDHIGH, 120);
//			syslog(LOG_INFO, "Motor2_DRV_NoWait");
			break;
		case 'i':
			syslog(LOG_INFO, "MOTOR1_InitReq");
			Motor1_Init();
			Motor2_Init();		
			
			break;
		case 'S':
		case 'y':
		case 'Y':
		case 'z':
		case 'Z':
		case '1':
		case '2':
		case '3':
		case 'A':
		case 't':
		case '>':
		case '=':
		case '<':
		case 'G':
		case 'w':
		case 'W':
		case 'l':
		case 'u':
		case 'm':
		case 'x':
		case 'X':
		case 'r':
		case 'C':
		case 'B':
		case 'V':
		case 'v':
		case 'q':
#ifdef BIT_KERNEL
		case ' ':
#endif /* BIT_KERNEL */
		default:
			break;
		}
	} while (c != '\003' && c != 'Q');

	syslog(LOG_NOTICE, "Sample program ends.");
	SVC_PERROR(ext_ker());
	assert(0);
}


/*-------⡼ѳ---------*/
void Int_Motor(void)
{
	long_t* pIntStatus = (long_t*)MOTOR_INT_ENABLE;
	
	Int_Motor1();
	Int_Motor2();
	
	*pIntStatus = 0; 
	
}


